package com.lukouguoji.aerologic.page.gnj.stash.list

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.lukouguoji.aerologic.R
import com.lukouguoji.aerologic.databinding.ActivityGnjStashListBinding
import com.lukouguoji.module_base.base.BaseBindingActivity
import com.lukouguoji.module_base.ktx.addOnItemClickListener
import com.lukouguoji.module_base.ktx.getLifecycleOwner

class GnjStashListActivity :
    BaseBindingActivity<ActivityGnjStashListBinding, GnjStashListViewModel>() {

    override fun layoutId() = R.layout.activity_gnj_stash_list

    override fun viewModelClass() = GnjStashListViewModel::class.java

    override fun initOnCreate(savedInstanceState: Bundle?) {
        setBackArrow("国内进港仓库")

        binding.viewModel = viewModel

        viewModel.pageModel
            .bindSmartRefreshLayout(binding.srl, binding.rv, viewModel, getLifecycleOwner())
        binding.rv.addOnItemClickListener(viewModel)

        viewModel.refresh()
    }

    companion object {
        @JvmStatic
        fun start(context: Context) {
            val starter = Intent(context, GnjStashListActivity::class.java)
            context.startActivity(starter)
        }
    }

}